## org.apache.fop.dom.css
Class CSSValueImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.CSSValueImpl

Direct Known Subclasses:
  CSSPrimitiveValueImpl, CSSValueListImpl

public class CSSValueImpl
extends java.lang.Object
implements org.w3c.dom.css.CSSValue

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSValueImpl()`

Method Summary
`java.lang.String` `getCssText()`
`short` `getValueType()`
`void` `setCssText(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSValueImpl

    public CSSValueImpl()

Method Detail

### setCssText

    public void setCssText(java.lang.String str)

  Specified by:
    setCssText in interface org.w3c.dom.css.CSSValue

### getCssText

    public java.lang.String getCssText()

  Specified by:
    getCssText in interface org.w3c.dom.css.CSSValue

### getValueType

    public short getValueType()

  Specified by:
    getValueType in interface org.w3c.dom.css.CSSValue

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.